org.hibernate.validator.internal.metadata.raw

## Class ConstrainedParameter

- java.lang.Object
- - org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement
  - - org.hibernate.validator.internal.metadata.raw.ConstrainedParameter

- All Implemented Interfaces:
    Iterable<MetaConstraint<?>>, ConstrainedElement

      public class ConstrainedParameter
      extends AbstractConstrainedElement

  Contains constraint-related meta-data for one method parameter.
  Author:
    Gunnar Morling

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.validator.internal.metadata.raw.ConstrainedElement

      `ConstrainedElement.ConstrainedElementKind`

  - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement

      `constraints, groupConversions, isCascading, location, requiresUnwrapping, source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstrainedParameter(ConfigurationSource source, ConstraintLocation location, Type type, int index, String name)`
    `ConstrainedParameter(ConfigurationSource source, ConstraintLocation location, Type type, int index, String name, Set<MetaConstraint<?>> constraints, Map<Class<?>,Class<?>> groupConversions, boolean isCascading, boolean requiresUnwrapping)` Creates a new parameter meta data object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `getIndex()`
    `String` | `getName()`
    `Type` | `getType()`
    `int` | `hashCode()`
    `ConstrainedParameter` | `merge(ConstrainedParameter other)` Creates a new constrained parameter object by merging this and the given other parameter.
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement

      `getConstraints, getGroupConversions, getKind, getLocation, isCascading, isConstrained, iterator, requiresUnwrapping`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstrainedParameter

          public ConstrainedParameter(ConfigurationSource source,
                              ConstraintLocation location,
                              Type type,
                              int index,
                              String name)

    - #### ConstrainedParameter

          public ConstrainedParameter(ConfigurationSource source,
                              ConstraintLocation location,
                              Type type,
                              int index,
                              String name,
                              Set<MetaConstraint<?>> constraints,
                              Map<Class<?>,Class<?>> groupConversions,
                              boolean isCascading,
                              boolean requiresUnwrapping)

      Creates a new parameter meta data object.
      Parameters:
        `source` - The source of meta data.
        `location` - The location of the represented method parameter.
        `name` - The name of the represented parameter.
        `constraints` - The constraints of the represented method parameter, if any.
        `groupConversions` - The group conversions of the represented method parameter, if any.
        `isCascading` - Whether a cascaded validation of the represented method parameter shall be performed or not.
        `requiresUnwrapping` - Whether the value of the parameter must be unwrapped prior to validation or not

  - ### Method Detail

    - #### getType

          public Type getType()

    - #### getName

          public String getName()

    - #### getIndex

          public int getIndex()

    - #### merge

          public ConstrainedParameter merge(ConstrainedParameter other)

      Creates a new constrained parameter object by merging this and the given other parameter.
      Parameters:
        `other` - The parameter to merge.
      Returns:
        A merged parameter.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConstrainedElement`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractConstrainedElement`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `AbstractConstrainedElement`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved